Bug 488154 - kernel-2.6.29-0.176.rc6.git5.fc11 causes nouveau related oops
kernel-2.6.29-0.176.rc6.git5.fc11 causes nouveau related oops
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-02 16:43 EST by David Nielsen
Modified: 2009-03-07 09:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 09:19:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace for the oops, from my /var/log/messages (22 bytes, text/plain)
2009-03-02 18:13 EST, Mike Chambers
no flags Details
Backtrace, er well actually included it this time, DOH! (3.97 KB, text/plain)
2009-03-02 22:40 EST, Mike Chambers
no flags Details
Xorg log file (66.78 KB, application/octet-stream)
2009-03-05 17:34 EST, Mike Chambers
no flags Details

  None (edit)
Description David Nielsen 2009-03-02 16:43:13 EST
Description of problem:
As described here:
https://www.redhat.com/archives/fedora-devel-list/2009-March/msg00046.html

The kernel oopses with kernel-2.6.29-0.176.rc6.git5.fc11 with a nouveau related message. .159 is fine. 

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.176.rc6.git5.fc11.x86_64 

How reproducible:
100%

Steps to Reproduce:
1. install kernel-2.6.29-0.176.rc6.git5.fc11.x86_64 on an nvidia system
2. reboot
  
Actual results:
watch in amazement as the kernel oopses when trying to bring up X

Expected results:
glorious X experience

Additional info:
Adding Mike to CC
Comment 1 Ben Skeggs 2009-03-02 16:58:44 EST
Can you provide the backtrace?
Comment 2 Mike Chambers 2009-03-02 18:13:44 EST
Created attachment 333794 [details]
backtrace for the oops, from my /var/log/messages
Comment 3 Ben Skeggs 2009-03-02 18:30:43 EST
The backtrace didn't quite make it there :)
Comment 4 Mike Chambers 2009-03-02 22:40:25 EST
Created attachment 333825 [details]
Backtrace, er well actually included it this time, DOH!
Comment 5 David Nielsen 2009-03-05 05:39:01 EST
Using -197 I am not seeing nouveau related badness, Mike?
Comment 6 Matěj Cepl 2009-03-05 12:32:22 EST
Can we get /var/log/Xorg.0.log attached as well, please?

Thank you
Comment 7 Mike Chambers 2009-03-05 17:34:50 EST
Created attachment 334227 [details]
Xorg log file

And even with the .197 kernel it still has problems starting X.
Comment 8 Mike Chambers 2009-03-05 18:10:05 EST
With latest 2 packages below updated, X now works and on latest kernel..

xorg-x11-drv-nouveau-0.0.12-8.20090305git42f99e6.fc11.x86_64
kernel-2.6.29-0.207.rc7.fc11.x86_64

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.